/* Basic game template */

import { transpile } from 'compiler';

Object.assign(Sphere.Game, {
	version: 2,
	name: "Your game name here",
	saveID: 'unique-identifier-for-saving-the-game',
	author: "Your name here",
	summary: "Summary of the game",
	resolution: '1280x720',
	main: 'scripts/main.js',
	logPath: '~/log.txt',

	othervariables: 'any value you would like',
});

transpile('@/scripts/', files('src/*.mjs', true));
transpile('@/scripts/', files('src/*.js', true));

install('@/images',      files('images/*.*', true));
install('@/music',       files('music/*.*', true));
install('@/spritesets',  files('spritesets/*.rss', true));
install('@/sounds',      files('sounds/*.*', true));
install('@/maps',        files('maps/*.rmp', true));
install('@/maps',        files('maps/*.rts', true));
install('@/windowstyles',files('windowstyles/*.rws', true));
install('@/',            files('icon.png'));
install('@/',            files('README.txt'));
